Missing Dependency: perl-Compress-Raw-Zlib

General support questions including new installations
Post Reply
leehopemcc
Posts: 4
Joined: 2011/06/03 22:32:05

Missing Dependency: perl-Compress-Raw-Zlib

Post by leehopemcc » 2011/06/03 22:45:15

[root@CentOSDeploy12 ~]# uname -a
Linux CentOSDeploy12.A-MSoftware.com 2.6.9-100.ELsmp #1 SMP Fri Feb 18 01:47:46 EST 2011 i686 i686 i386 GNU/Linux
[root@CentOSDeploy12 ~]# cat /etc/redhat-release
CentOS release 4.9 (Final)
[root@CentOSDeploy12 ~]# yum update
Setting up Update Process
Setting up repositories
Reading repository metadata in from local files
Excluding Packages in global exclude list
Finished
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package perl-Compress-Raw-Zlib.i386 0:2.034-1.el4.rf set to be updated
---> Package perl-IO-Socket-SSL.noarch 0:1.40-1.el4.rf set to be updated
---> Package perl-Compress-Raw-Bzip2.i386 0:2.034-1.el4.rf set to be updated
--> Running transaction check
--> Processing Dependency: perl(Compress::Raw::Zlib) = 2.024 for package: perl-IO-Compress
--> Finished Dependency Resolution
Error: Missing Dependency: perl(Compress::Raw::Zlib) = 2.024 is needed by package perl-IO-Compress
[root@CentOSDeploy12 ~]#

pschaff
Retired Moderator
Posts: 18276
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America
Contact:

Re: Missing Dependency: perl-Compress-Raw-Zlib

Post by pschaff » 2011/06/06 19:04:58

Welcome to the CentOS fora. Reading [url=https://www.centos.org/modules/newbb/viewforum.php?forum=47]FAQ & Readme First[/url] is recommended for new users.

You should check what is in the global exclude list in /etc/yum.conf. A forum [url=https://www.centos.org/search.php?query=perl-Compress-Raw-Zlib&mid=30&action=showall&andor=AND]search[/url] shows lots of issues with this perl Compress group of packages. As the problem packages are from RPMforge (now [url=https://www.centos.org/modules/newbb/viewtopic.php?topic_id=31652&forum=14&post_id=134934#forumpost134934]Repoforge[/url]) you might best ask on their mailing list, but it appears that perl-IO-Compress needs to be updated to use the new perl-Compress-Raw-Zlib.

User avatar
WhatsHisName
Posts: 1544
Joined: 2005/12/19 20:21:43
Location: /earth/usa/nj

Missing Dependency: perl-Compress-Raw-Zlib

Post by WhatsHisName » 2011/06/06 19:39:22

You probably need to enable rpmforge-extras (perl-IO-Compress-2.034-1.el4.rfx.noarch.rpm).

Post Reply

Return to “CentOS 4 - General Support”